Bug 240521 - am-utils require a rebuild with new kernel header files
Summary: am-utils require a rebuild with new kernel header files
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: am-utils   
(Show other bugs)
Version: 4.5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karel Zak
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Keywords:
Depends On: 240520
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-18 04:38 UTC by Eugene Teo (Security Response)
Modified: 2018-11-28 19:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 11:58:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eugene Teo (Security Response) 2007-05-18 04:38:01 UTC
Description of problem:
The latest amd automounter RPM is built against an older version of
linux/nfs_mount.h header file from the latest glibc-kernheaders RPM. The
NFS_MOUNT_VERSION for kernel-2.6.9-55.EL is 6, but the one from
glibc-kernheaders is 4. As a result, it will trigger a lot of warning messages
"kernel: nfs warning: mount version older than kernel" in the logs.

Version-Release number of selected component (if applicable):
glibc-kernheaders-2.4-9.1.100.EL
am-utils-6.0.9-15.RHEL4
kernel-2.6.9-55.EL

How reproducible:
Always.

Steps to Reproduce:
1. Install am-utils
2. tail -f /var/log/messages &
3. service amd start
  
Actual results:
"kernel: nfs warning: mount version older than kernel" messages appeared in logs.

Expected results:
"kernel: nfs warning: mount version older than kernel" messages should not
appear in logs.

Additional info:
By using the kernel headers from a more recent kernel, and rebuilding the amd
RPM would help resolve this problem.

Comment 2 RHEL Product and Program Management 2007-09-07 19:35:06 UTC
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.

Comment 3 RHEL Product and Program Management 2008-10-31 16:42:04 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 4 Ondrej Vasik 2011-02-18 11:58:14 UTC
Thanks for report. As RHEL-4.9 was the last update for RHEL-4 and critical or security only fixes are now accepted there, closing this bugzilla WONTFIX. It is not security issue nor serious issue.


Note You need to log in before you can comment on or make changes to this bug.